package mvcsSkeleton.views.mediators
{
	import mvcsSkeleton.controllers.events.LoggerEvent;
	import mvcsSkeleton.views.components.PolymorphicView;

	import robotlegs.bender.bundles.mvcs.Mediator;

	public class PolymorphicMediator extends Mediator
	{
		[Inject]
		public var view:PolymorphicView;

		override public function initialize():void
		{
			trace("ViewThreeMediator.initialize()");
			//MorphicMediator is listening for LoggerEvent.VIEW_STATE_CHANGED
			addViewListener(LoggerEvent.VIEW_STATE_CHANGED, dispatch, LoggerEvent);
		}
	}
}
