package mvcsSkeleton.controllers.events
{
	import flash.events.Event;

	public class BehavioursEvent extends Event
	{

		public static const ROTATE_SHAPE_REQUESTED:String = "rotateShape";
		public static const RESET_SHAPE_ROTATION_REQUESTED:String = "resetShapeRotation";

		public static const MAKE_SQUARE_REQUESTED:String = "makeSquare";
		public static const MAKE_CIRCLE_REQUESTED:String = "makeCircle";

		public static const DELETE_ONE_SHAPE_REQUESTED:String = "deleteOneShape";
		public static const DELETE_ALL_SHAPES_REQUESTED:String = "deleteAllShapes";

		private var _payload:Object;

		public function BehavioursEvent(type:String, payload:Object=null, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_payload = payload;
		}

		public function get payload():Object
		{
			return _payload;
		}

		override public function clone():Event
		{
			return new BehavioursEvent(type, payload, bubbles, cancelable);
		}
	}
}
