package mvcsSkeleton.views.mediators
{
	import mvcsSkeleton.controllers.events.BehavioursEvent;
	import mvcsSkeleton.views.api.IMakeCircles;

	import robotlegs.bender.bundles.mvcs.Mediator;

	public class MakeCirclesMediator extends Mediator
	{
		[Inject]
		public var view:IMakeCircles;

		override public function initialize():void
		{
			trace("MakeCircleMediator.initialize()");
			addContextListener(BehavioursEvent.MAKE_CIRCLE_REQUESTED, onMakeCircle, BehavioursEvent);
		}

		private function onMakeCircle(event:BehavioursEvent):void
		{
			//view == views implementing IMakeCircles MonomorphicViewTwo,PolymorphicView)
			view.makeCircle(Number(event.payload));
		}
	}
}
